Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#519 closed Bug (fixed)

Crash while verifying local data of a completed torrent

Reported by: sg Owned by: charles
Priority: Normal Milestone: 0.96
Component: Transmission Version: 0.95
Severity: Major Keywords:
Cc:

Description

A particular torrent being seeded makes Transmission persistently crash during verification of it's local data. Crash does not occur when I pause the torrent first and trigger the check... goes for 0.94 as well as 0.94+...

2/12/07 16:16:13 [0x0-0x140140].org.m0k.transmission[2419] Couldn't get information for file "/Users/sg/Library/Application Support/Transmission?/stats.benc" No such file or directory 2/12/07 16:17:32 [0x0-0x140140].org.m0k.transmission[2419] /var/tmp/pea/transmission.m0k.org/trunk/libtransmission/platform.c:267: failed assertion `tr_lockHave( l )' 2/12/07 16:17:35 com.apple.launchd[95] ([0x0-0x140140].org.m0k.transmission[2419]) Exited abnormally: Abort trap

Process: Transmission [2419] Path: /Users/sg/Desktop/Transmission.app/Contents/MacOS/Transmission Identifier: org.m0k.transmission Version: 0.94+ (4036) Code Type: X86 (Native) Parent Process: launchd [95]

Date/Time?: 2007-12-02 16:17:32.233 +0100 OS Version: Mac OS X 10.5.1 (9B18) Report Version: 6

Exception Type: EXC_CRASH (SIGABRT) Exception Codes: 0x0000000000000000, 0x0000000000000000 Crashed Thread: 5

Thread 0: 0 libSystem.B.dylib 0x930788e6 mach_msg_trap + 10 1 libSystem.B.dylib 0x930800dc mach_msg + 72 2 com.apple.CoreFoundation? 0x9686d0fe CFRunLoopRunSpecific + 1806 3 com.apple.CoreFoundation? 0x9686dd38 CFRunLoopRunInMode + 88 4 com.apple.HIToolbox 0x91e9a8a4 RunCurrentEventLoopInMode? + 283 5 com.apple.HIToolbox 0x91e9a6bd ReceiveNextEventCommon? + 374 6 com.apple.HIToolbox 0x91e9a531 BlockUntilNextEventMatchingListInMode? + 106 7 com.apple.AppKit? 0x94513d5b _DPSNextEvent + 657 8 com.apple.AppKit? 0x945136a0 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128 9 com.apple.AppKit? 0x9450c6d1 -[NSApplication run] + 795 10 com.apple.AppKit? 0x944d99ba NSApplicationMain + 574 11 org.m0k.transmission 0x00002d2f main + 137 12 org.m0k.transmission 0x00002c8c _start + 210 13 org.m0k.transmission 0x00002bb9 start + 41

Thread 1: 0 libSystem.B.dylib 0x930aea36 write$NOCANCEL$UNIX2003 + 10 1 org.m0k.transmission 0x0003ac6a bufferevent_writecb + 53 2 org.m0k.transmission 0x0003c252 event_base_loop + 914 3 org.m0k.transmission 0x0003c307 event_dispatch + 35 4 org.m0k.transmission 0x00059731 libeventThreadFunc + 140 5 org.m0k.transmission 0x0004b9c5 ThreadFunc? + 61 6 libSystem.B.dylib 0x930a9075 _pthread_start + 321 7 libSystem.B.dylib 0x930a8f32 thread_start + 34

Thread 2: 0 libSystem.B.dylib 0x930a88e6 kevent + 10 1 com.apple.Foundation 0x96af404d -[NSThread main] + 45 2 com.apple.Foundation 0x96af3bf4 NSThreadmain + 308 3 libSystem.B.dylib 0x930a9075 _pthread_start + 321 4 libSystem.B.dylib 0x930a8f32 thread_start + 34

Thread 3: 0 libSystem.B.dylib 0x930e49ba accept$UNIX2003 + 10 1 libSystem.B.dylib 0x930a9075 _pthread_start + 321 2 libSystem.B.dylib 0x930a8f32 thread_start + 34

Thread 4: 0 libSystem.B.dylib 0x9307face semwait_signal + 10 1 libSystem.B.dylib 0x930a9ced pthread_cond_wait$UNIX2003 + 73 2 com.apple.QuartzCore? 0x90146161 fe_fragment_thread + 54 3 libSystem.B.dylib 0x930a9075 _pthread_start + 321 4 libSystem.B.dylib 0x930a8f32 thread_start + 34

Thread 5 Crashed: 0 libSystem.B.dylib 0x9315967e semwait_signal_nocancel + 10 1 libSystem.B.dylib 0x9314b547 usleep$NOCANCEL$UNIX2003 + 61 2 libSystem.B.dylib 0x9316cd4b abort + 85 3 org.m0k.transmission 0x0006442d 0x1000 + 406573 4 org.m0k.transmission 0x0004c028 tr_lockUnlock + 84 5 org.m0k.transmission 0x00052fbe tr_fdFileCheckout + 1248 6 org.m0k.transmission 0x00051d01 readOrWritePiece + 1057 7 org.m0k.transmission 0x00052107 checkPiece + 200 8 org.m0k.transmission 0x00052341 recheckThreadFunc + 360 9 org.m0k.transmission 0x0004b9c5 ThreadFunc? + 61 10 libSystem.B.dylib 0x930a9075 _pthread_start + 321 11 libSystem.B.dylib 0x930a8f32 thread_start + 34

Thread 5 crashed with X86 Thread State (32-bit):

eax: 0x0000003c ebx: 0x931591cf ecx: 0xb02cc7fc edx: 0x9315967e edi: 0x0018c790 esi: 0xb02cc858 ebp: 0xb02cc838 esp: 0xb02cc7fc

ss: 0x0000001f efl: 0x00000247 eip: 0x9315967e cs: 0x00000007 ds: 0x0000001f es: 0x0000001f fs: 0x0000001f gs: 0x00000037

cr2: 0xffe2a87c

Binary Images:

0x1000 - 0x76fff +org.m0k.transmission 0.94+ (4036) <b932d61637b508a86d6329bc2c2ee5ab> /Users/sg/Desktop/Transmission.app/Contents/MacOS/Transmission

0xbb000 - 0xc7ff7 +org.andymatuschak.Sparkle ??? (1.1) /Users/sg/Desktop/Transmission.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle 0xef000 - 0xefffe +org.xlife.InquisitorLoader? 3.0 (49) /Library/InputManagers/Inquisitor/Inquisitor?.bundle/Contents/MacOS/Inquisitor 0xf4000 - 0xf6ffd +net.sourceforge.SafariAdBlock? 0.1 (0.1) <e2406b6820fcf1c165048b03effb5df6> /Library/InputManagers/Safari? AdBlock/Safari? AdBlock?.bundle/Contents/MacOS/Safari AdBlock?

0x255000 - 0x33bff7 com.apple.RawCamera?.bundle 2.0 (2.0) /System/Library/CoreServices/RawCamera?.bundle/Contents/MacOS/RawCamera 0x3f8000 - 0x3fdfff com.apple.DictionaryServiceComponent? 1.1 (1.1) <8edc1180f52db18e9ddfb4e95debe61b> /System/Library/Components/DictionaryService?.component/Contents/MacOS/DictionaryService

0x1651d000 - 0x16522ff3 libCGXCoreImage.A.dylib ??? (???) <978986709159e5fe9e094df5efddac1d> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib 0x8fe00000 - 0x8fe2d883 dyld 95.3 (???) <81592e798780564b5d46b988f7ee1a6a> /usr/lib/dyld 0x90051000 - 0x903e7ff7 com.apple.QuartzCore? 1.5.1 (1.5.1) <deb61cbeb3f734a1b2f4669f6268b9de> /System/Library/Frameworks/QuartzCore?.framework/Versions/A/QuartzCore 0x903e8000 - 0x903f0fff com.apple.DiskArbitration? 2.2 (2.2) <1551b2af557fdf6f368f93e093933852> /System/Library/Frameworks/DiskArbitration?.framework/Versions/A/DiskArbitration 0x903f1000 - 0x903f6fff com.apple.CommonPanels? 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels 0x9043c000 - 0x90503ff2 com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage 0x90518000 - 0x90528fff com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis 0x90609000 - 0x90621fff com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting 0x90622000 - 0x90a32fef libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib 0x90a34000 - 0x90a5cff7 com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut?.framework/Versions/A/Shortcut 0x90a7f000 - 0x90a7fff8 com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa?.framework/Versions/A/Cocoa 0x90a80000 - 0x90ad9fff libGLU.dylib ??? (???) /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLU.dylib 0x90ada000 - 0x90adaffd com.apple.Accelerate 1.4 (Accelerate 1.4) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Accelerate 0x90b48000 - 0x90bf8fff edu.mit.Kerberos 6.0.11 (6.0.11) <33c25789baedcd70a7e24881775dd9ad> /System/Library/Frameworks/Kerberos?.framework/Versions/A/Kerberos 0x90bf9000 - 0x90c06fe7 com.apple.opengl 1.5.5 (1.5.5) <aa08b52d2a84b44dc6ee5d544a53fe8a> /System/Library/Frameworks?/OpenGL.framework/Versions/A/OpenGL 0x90c14000 - 0x912abfef com.apple.CoreGraphics? 1.351.0 (???) <7a6f399039eed6dbe845c169f7d21a70> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics 0x913ae000 - 0x913f0fef com.apple.NavigationServices? 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices 0x913f1000 - 0x914a0fff com.apple.DesktopServices? 1.4.3 (1.4.3) <66d5ed56111c43d234e235d365d02469> /System/Library/PrivateFrameworks/DesktopServicesPriv?.framework/Versions/A/DesktopServicesPriv 0x9153a000 - 0x9153cfff com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI 0x9153d000 - 0x91a52fff com.apple.WebCore? 5523.10.3 (5523.10.3) <89179acba0e5ae2163d4a75ad460cbdb> /System/Library/Frameworks/WebKit?.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore 0x91a53000 - 0x91a53ffd com.apple.Accelerate.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib 0x91a54000 - 0x91a6afff com.apple.DictionaryServices? 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices 0x91a6b000 - 0x91b26fe3 com.apple.WebKit? 5523.10.3 (5523.10.3) <2741777559b3948d520a4d126330dbce> /System/Library/Frameworks/WebKit?.framework/Versions/A/WebKit 0x91b27000 - 0x91baeff7 libsqlite3.0.dylib ??? (???) <273efcb717e89c21207c851d7d33fda4> /usr/lib/libsqlite3.0.dylib 0x91baf000 - 0x91c2eff5 com.apple.SearchKit? 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit 0x91c2f000 - 0x91ce5fe3 com.apple.CoreServices?.OSServices 210.2 (210.2) <4ed69f07fc0f211ab32d1ee96e281fc2> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices 0x91ce6000 - 0x91d78ff3 com.apple.ApplicationServices?.ATS 3.0 (???) <fb5f572243dbc370a0ea5efc8e81ae11> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS 0x91d79000 - 0x91d89ffc com.apple.LangAnalysis? 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis 0x91d8a000 - 0x91d8bffc libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib 0x91db8000 - 0x91e6affb libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib 0x91e6b000 - 0x92171fff com.apple.HIToolbox 1.5.0 (???) <1b872a7151ee3f80c9c736a3e46d00d9> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox 0x92172000 - 0x921b1fef libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib 0x921b2000 - 0x92296ffb com.apple.CoreData? 100 (185) <a4e63784275e25e62f57e75e0af0b94d> /System/Library/Frameworks/CoreData?.framework/Versions/A/CoreData 0x92297000 - 0x92311ff8 com.apple.print.framework.PrintCore? 5.5 (245) <9441d178f4b430cf92b67bf346646693> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore 0x92312000 - 0x927deffe libGLProgrammability.dylib ??? (???) <e8bc0af671427cf2b6279a035805a086> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib 0x927df000 - 0x92819ff7 com.apple.coreui 0.1 (60) /System/Library/PrivateFrameworks?/CoreUI.framework/Versions/A/CoreUI 0x9281a000 - 0x92876ff7 com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering 0x928c8000 - 0x92925ffb libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib 0x9295b000 - 0x929d7feb com.apple.audio.CoreAudio? 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio?.framework/Versions/A/CoreAudio 0x92acd000 - 0x92ad1fff libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib 0x92b98000 - 0x92bf2ff7 com.apple.CoreText? 2.0.0 (???) <7fa39cd5bc847615ec02e7c7a37c0508> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText 0x92bf3000 - 0x92bfeff9 com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData?.framework/Versions/A/HelpData 0x92c8b000 - 0x92ca1fe7 com.apple.CoreVideo? 1.5.0 (1.5.0) <8947e88900afa1d2ca78b69bff98b0d7> /System/Library/Frameworks/CoreVideo?.framework/Versions/A/CoreVideo 0x92ca8000 - 0x92ccffff libcups.2.dylib ??? (???) <6b61eb99e6f5dd2d66cd224e9f82427d> /usr/lib/libcups.2.dylib 0x92fcb000 - 0x9303ffef libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib 0x93077000 - 0x93077ffc com.apple.audio.units.AudioUnit? 1.5 (1.5) /System/Library/Frameworks/AudioUnit?.framework/Versions/A/AudioUnit 0x93078000 - 0x931d2fe3 libSystem.B.dylib ??? (???) <8ecc83dc0399be3946f7a46e88cf4bbb> /usr/lib/libSystem.B.dylib 0x931d3000 - 0x931d3ff8 com.apple.ApplicationServices? 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/ApplicationServices 0x931d4000 - 0x93201feb libvDSP.dylib ??? (???) <a26683d121ee0f96df9a9d0bfca36049> /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib 0x93202000 - 0x93205fff com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help 0x93206000 - 0x93214ffd libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib 0x93215000 - 0x93234ffa libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib 0x93235000 - 0x93235ffb com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer?.framework/Versions/A/InstallServer 0x93236000 - 0x9336eff7 libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib 0x9336f000 - 0x9336fffd com.apple.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks?/vecLib.framework/Versions/A/vecLib 0x941f1000 - 0x941f1fff com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon?.framework/Versions/A/Carbon 0x941f2000 - 0x94337ff7 com.apple.ImageIO.framework 2.0.0 (2.0.0) <154d4d8cda2bd99518cbabc9f2d69833> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO 0x94338000 - 0x94344ff5 libGL.dylib ??? (???) /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGL.dylib 0x9449c000 - 0x944a2fff com.apple.print.framework.Print 218 (220) <c35172175abbe554ddadd9b6401351fa> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print 0x944a3000 - 0x944d2fe3 com.apple.AE 402 (402) <994ba8e884aefe7bf1fc5987df099e7b> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE 0x944d3000 - 0x94ccdfef com.apple.AppKit? 6.5 (949) <f8d0f6d0bb5ac092f48f42ca684bdb54> /System/Library/Frameworks/AppKit?.framework/Versions/C/AppKit 0x94e49000 - 0x94e54fe7 libCSync.A.dylib ??? (???) <df82fc093e498a9eb5490761cb292218> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib 0x94e55000 - 0x94e9afef com.apple.Metadata 10.5.0 (398) <4fd74fba0062c2e08ec4b1c10b40ff63> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata 0x94ec0000 - 0x94eeafef libauto.dylib ??? (???) <d468bc4a8a69343f1748c293db1b57fb> /usr/lib/libauto.dylib 0x94eeb000 - 0x94f77ff7 com.apple.LaunchServices? 284 (284) <0fb50a7a6fd38875f727fc2592a496e4> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices 0x94f78000 - 0x9509cfe3 com.apple.audio.toolbox.AudioToolbox? 1.5 (1.5) /System/Library/Frameworks/AudioToolbox?.framework/Versions/A/AudioToolbox 0x9509d000 - 0x95376fe7 com.apple.CoreServices?.CarbonCore? 783 (783) <8370e664eeb25edc98d5c1f5405b06ae> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore 0x9538f000 - 0x95436fff com.apple.QD 3.11.50 (???) <e2f71720ae1dad06a8883ac80775b21a> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD 0x95447000 - 0x95484ff7 libGLImage.dylib ??? (???) <202d73e6a4688fc06ff11b71910c2ce7> /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib 0x95485000 - 0x95485ffa com.apple.CoreServices? 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices?.framework/Versions/A/CoreServices 0x9572d000 - 0x95763fff com.apple.SystemConfiguration? 1.9.0 (1.9.0) <7919d9588c3b0d556646e555b7193f1f> /System/Library/Frameworks/SystemConfiguration?.framework/Versions/A/SystemConfiguration 0x95764000 - 0x95788fff libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib 0x95789000 - 0x95790fe9 libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib 0x95791000 - 0x9585cfff com.apple.ColorSync? 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync 0x958f1000 - 0x95968fe3 com.apple.CFNetwork 220 (220) <0ae8fbcbadcb9bd8d673aa4531c0fcfc> /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork 0x95969000 - 0x95973feb com.apple.audio.SoundManager? 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound 0x95974000 - 0x95988ff3 com.apple.ImageCapture? 4.0 (5.0.0) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture 0x95989000 - 0x959cafe7 libRIP.A.dylib ??? (???) <bdc6d70bf4ed3dace321b4ff76a353b3> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib 0x95b4a000 - 0x95c29fff libobjc.A.dylib ??? (???) <5eda47fec2d0e7853b3506aa1fd2dafa> /usr/lib/libobjc.A.dylib 0x95c2a000 - 0x95c2cff5 libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib 0x95c6c000 - 0x9602afea libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib 0x9604a000 - 0x9612bff7 libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib 0x9612c000 - 0x961b6fff com.apple.framework.IOKit 1.5.1 (???) <5176a7383151a19c962334009fef2c6d> /System/Library/Frameworks?/IOKit.framework/Versions/A/IOKit 0x961cf000 - 0x9621fff7 com.apple.HIServices 1.6.0 (???) <d74aa73e4cfd30a08fb169198a8d2539> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices 0x96220000 - 0x963e9fef com.apple.security 5.0.1 (32736) <8c9eda0fcc1d8a571543025ac900715f> /System/Library/Frameworks/Security?.framework/Versions/A/Security 0x963ea000 - 0x963f1ffe libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib 0x963f2000 - 0x9640dffb libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib 0x9640e000 - 0x964b7fff com.apple.JavaScriptCore? 5523.10.3 (5523.10.3) <9e6719a7a0740f5c224099a7b853e45b> /System/Library/Frameworks/JavaScriptCore?.framework/Versions/A/JavaScriptCore 0x967d9000 - 0x967f7fff libresolv.9.dylib ??? (???) <54e6a08c2f108bdf5916fb483d51961b> /usr/lib/libresolv.9.dylib 0x967fb000 - 0x9692dfe7 com.apple.CoreFoundation? 6.5 (476) <8bfebc0dbad6fc33bea0fa00a1b9ec37> /System/Library/Frameworks/CoreFoundation?.framework/Versions/A/CoreFoundation 0x96994000 - 0x9699bff7 libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib 0x969e7000 - 0x969e8fef libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib 0x969e9000 - 0x96a7cfff com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink 0x96aea000 - 0x96d63fe7 com.apple.Foundation 6.5.1 (677.1) <85ac18c7cd454378db6122bea0c00965> /System/Library/Frameworks/Foundation?.framework/Versions/C/Foundation 0x96d64000 - 0x96d6dfff com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition 0xc0000000 - 0xc0008fff +com.growl.growlframework 1.1.2 (1.1.2) <fdc1a938b31271568eef68562e13f952> /Users/sg/Desktop/Transmission.app/Contents/Frameworks/Growl.framework/Versions/A/Growl 0xfffe8000 - 0xfffebfff libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib 0xffff0000 - 0xffff1780 libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

Attachments (1)

4043 crash report.txt (22.3 KB) - added by sg 13 years ago.
Crash report for r4043

Download all attachments as: .zip

Change History (7)

comment:1 Changed 13 years ago by charles

  • Owner set to charles
  • Severity changed from Normal to Major
  • Status changed from new to assigned

this may be fixed now as of r4040... could you please upgrade and test?

comment:2 follow-up: Changed 13 years ago by sg

Just tried with r4043

First try: progress slider froze at 9% but Transmission didn't crash Second try: Transmission crashed as it did before

3/12/07 10:11:54 [0x0-0x1e61e6].org.m0k.transmission[3555] Couldn't get information for file "/Users/sg/Library/Application Support/Transmission?/stats.benc" No such file or directory

3/12/07 10:18:12 [0x0-0x1e81e8].org.m0k.transmission[3562] /Users/admin/Transmission-Release/libtransmission/platform.c:267: failed assertion `tr_lockHave( l )'

3/12/07 10:18:15 com.apple.launchd[95] ([0x0-0x1e81e8].org.m0k.transmission[3562]) Exited abnormally: Abort trap

Changed 13 years ago by sg

Crash report for r4043

comment:3 in reply to: ↑ 2 Changed 13 years ago by sg

Scratch the above and attachment. I accidentally launched 0.94.

r4043 doesn't crash anymore, but the progress slider just gets stuck. Have to relaunch Transmission, pause the torrent, and then select verify local data to make Transmission complete the check and re-realize the torrent is complete.

Replying to sg:

Just tried with r4043

First try: progress slider froze at 9% but Transmission didn't crash Second try: Transmission crashed as it did before

3/12/07 10:11:54 [0x0-0x1e61e6].org.m0k.transmission[3555] Couldn't get information for file "/Users/sg/Library/Application Support/Transmission?/stats.benc" No such file or directory

3/12/07 10:18:12 [0x0-0x1e81e8].org.m0k.transmission[3562] /Users/admin/Transmission-Release/libtransmission/platform.c:267: failed assertion `tr_lockHave( l )'

3/12/07 10:18:15 com.apple.launchd[95] ([0x0-0x1e81e8].org.m0k.transmission[3562]) Exited abnormally: Abort trap

comment:4 Changed 13 years ago by charles

heh... nice to hear the lockup confirmed. as I was reading a printout of r4043's fdlimit.c it seemed to me that I'd traded one bug for another but couldn't lock it up in testing. Anyway, the lockup is fixed in 4044.

comment:5 Changed 13 years ago by charles

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:6 Changed 13 years ago by charles

  • Milestone changed from None Set to 0.96
Note: See TracTickets for help on using tickets.